Subject: Re: bug#56011: 29.0.50; hl-line-mode not showing on bottom line after RET

From: Eli Zaretskii <[email-masked]>
Date: Thu, 16 Jun 2022 08:41:56 +0300

> From: Jean Louis <[email-masked]>
> Date: Thu, 16 Jun 2022 07:40:49 +0300
> 
> When I turn on hl-line-mode and press RET while being on the bottom line
> in empty line, by pressing further RET I cannot see highlighted line
> which is expected to be seen. If I go back line up, the highlighted line
> will appear. Again if I go with C-n down to bottom empty line and keep
> pressing RET, I do not see highlighted line which is expected to be seen.

There's no line at EOB in this case.  It's an illusion, created by the
fact that we display the cursor there.  If you type "C-x =", you will
see that point is beyond the last character of the file in that case,
which is the preceding newline.  So there's nothing to highlight.

This is not a bug.  We could mention this in the doc string if it will
help, but I think that otherwise we should close this bug.